@import url(./costants.css);
@import url("./text/text.css");
@import url("./text/text-sm.css") screen and (min-width: 552px);
@import url("./text/text-md.css") screen and (min-width: 768px);
@import url("./text/text-lg.css") screen and (min-width: 992px);
@import url("./text/text-xl.css") screen and (min-width: 1200px);
@import url("./text/text-xxl.css") screen and (min-width: 1400px);

/* text-10 per modificare il testo */
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: "Rethink Sans", sans-serif;
}
html, body {
    margin:0;
    padding: 0;
    font-family: "Rethink Sans", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
    scroll-behavior: smooth;
}


/* Input - START */
input[type="number"] {
    -moz-appearance: textfield;
    -webkit-appearance: none;
    appearance: none;
}
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
input, textarea{
    padding: 12px 16px;
    border-radius: 0px;
    border: 1px solid var(--input);
}
input::placeholder, textarea::placeholder{
    color: var(--input-text);
}
/* Input - END */

ul {
    list-style-type: none;
}
ul, li {
    margin: 0;
    padding: 0;
}
.no-opacity{
    opacity: 0;
}

/* Classi per il colore del testo */
.color-orange-dark { color: var(--orange-dark); }
.color-red { color: var(--red); }
.color-black { color: var(--black); }
.color-blue-deep { color: var(--blue-deep); }
.color-blue-dark { color: var(--blue-dark); }
.color-blue-medium { color: var(--blue-medium); }
.color-blue-light { color: var(--blue-light); }
.color-gray-lightest { color: var(--gray-lightest); }
.color-gray-medium { color: var(--gray-medium); }
.color-blue-gray { color: var(--blue-gray); }
.color-cyan-light { color: var(--cyan-light); }
.color-gray-light { color: var(--gray-light); }
.color-orange { color: var(--orange); }
.color-gray-lighter { color: var(--gray-lighter); }
.color-white { color: var(--white); }
.color-paragraph { color: var(--paragraph); }
.color-light-logo { color: var(--light-logo-color); }

/* Classi per lo sfondo */
.bg-orange-dark { background-color: var(--orange-dark); }
.bg-red { background-color: var(--red); }
.bg-black { background-color: var(--black); }
.bg-blue-deep { background-color: var(--blue-deep); }
.bg-blue-dark { background-color: var(--blue-dark); }
.bg-blue-medium { background-color: var(--blue-medium); }
.bg-blue-light { background-color: var(--blue-light); }
.bg-gray-lightest { background-color: var(--gray-lightest); }
.bg-gray-medium { background-color: var(--gray-medium); }
.bg-blue-gray { background-color: var(--blue-gray); }
.bg-cyan-light { background-color: var(--cyan-light); }
.bg-gray-light { background-color: var(--gray-light); }
.bg-orange { background-color: var(--orange); }
.bg-gray-lighter { background-color: var(--gray-lighter); }
.bg-white { background-color: var(--white); }
.bg-paragraph { background-color: var(--paragraph); }

.pointer{
    cursor: pointer;
}

/* Font-Style - START */
h1, h2, h3, h4, h5, h6 {
    color: var(--blue-dark);
}

h1{ font-size: 2rem;}
h2{ font-size: 1.8rem;}
h3{ font-size: 1.313rem;}
h4{ font-size: 1.063rem;}
h5{ font-size: 1.063rem;}

a{
    text-decoration: none;
    color: var(--blue-dark);
    font-size: 13px;
    line-height: 120%; 
    letter-spacing: -0.02em;
    margin-bottom: 0;    
    font-weight: 500;  
}
p {
    color: var(--paragraph);
    font-size: 16px;
    line-height: 120%; 
    margin-bottom: 0;    
    font-weight: 300;
    letter-spacing: 0;
}
p>strong{
    font-weight: 600;
    font-size: 15px;
}

.heading-1 {
    font-size: 30px;
    line-height: 110%;  
    letter-spacing: -0.01em;
    margin-bottom: 0;   
    font-weight: 700;
}
.heading-2 {
    font-size: 24px;
    line-height: 120%;  
    letter-spacing: -0.02em;
    margin-bottom: 0;   
    font-weight: 500;
}
h2.heading-2 {
    font-weight: 600;
}
h1.heading-2{
    font-weight: 600;
}
h4.heading-1{
    font-weight: 900;
    letter-spacing: -0.03em;
}
.heading-3 {
    font-size: 22px;
    line-height: 120%;  
    letter-spacing: -0.01em;
    margin-bottom: 0;    
    font-weight: 500;
}

.heading-4 {
    font-size: 15px;
    line-height: 120%;  
    letter-spacing: -0.01em;
    margin-bottom: 0;    
    font-weight: 700;  
}

.caption {
    font-size: 16px;
    line-height: 120%; 
    margin-bottom: 0;   
    letter-spacing: -0.01em; 
    font-weight: 500;
}

.link{
    font-size: 13px;
    line-height: 120%; 
    margin-bottom: 0;   
    letter-spacing: -0.02em; 
    font-weight: 500;
}

.disable{
    pointer-events: none;
    cursor: default;
}

.icon{ font-size: 18px;}

@media  (min-width: 768px) {
    h1{ font-size: 3rem;}
    h2{ font-size: 1.5rem;}
    h3{ font-size: 1.2rem;}
    h4{ font-size: 1.125rem;}
    h5{ font-size: 1.125rem;}

    .heading-1 { font-size: 45px;}
    .heading-2 { font-size: 26px;}
    .caption { font-size: 24px;}
}

@media  (min-width: 1200px) {
    h1{ font-size: 4.5rem;}
    h2{ font-size: 1.5rem;}
    h3{ font-size: 1.3rem;}
    h4{ font-size: 1.5rem;}
    h5{ font-size: 1.25rem;}

    p {
        font-size: 18px;    
        letter-spacing: 0em;
    }
    a{
        color: var(--blue-dark);
        font-size: 16px;
    }

    h1.heading-1{ font-size: 48px;}
    .heading-1 { font-size: 60px;}
    .heading-2 { font-size: 30px;}
    .caption { font-size: 30px;}
    .link{ font-size: 15px;}
}
/* Font-Style - END */


/* Bottoni - START */
.btn{
    padding: 14px 20px;
    border-radius: 0rem;
    background-color: var(--blue-dark);
    color: var(--light-logo-color);
    transition: all 0.3s ease-in-out;
}
.btn:hover{
    background-color: var(--black);
    border-radius: 8px;
    color: var(--light-logo-color);
}   
/* fine Bottoni - END */



/* Size (non cancellare)  - START */

.w-20{ width: 20%;}

/* Size (non cancellare)  - END */


/* Border - START */
/* Border - END */


/* Icone - START */
    /* white-icon */
.icon-phone-white{ background-image: url("../img/icon/white/PhoneReceiverSilhouette.svg");}
.icon-email-white{ background-image: url("../img/icon/white/Email.svg");}
.icon-facebook-white{ background-image: url("../img/icon/white/Facebook.svg");}
.icon-instagram-white{ background-image: url("../img/icon/white/Instagram.svg");}
.icon-twitter-white{ background-image: url("../img/icon/white/Twitter.svg");}
.icon-play-white{ background-image: url("../img/icon/white/Play.svg");}

    /* black-icon */
.icon-down-chevron-black{ background-image: url("../img/icon/black/Down_chevron.svg");}
.icon-circle-down-black{ background-image: url("../img/icon/black/Chevron-Circle-Down.svg");}
.icon-email-black{ background-image: url("../img/icon/black/Email.svg");}
.icon-emailEmpty-black{background-image: url("../img/icon/black/Email.svg");}
.icon-whatsapp-black{ background-image: url("../img/icon/black/Whatsapp.svg");}
.icon-Phone-black{ background-image: url("../img/icon/black/Phone.svg");}
.icon-Headset-black{ background-image: url("../img/icon/black/CustomerServiceHeadset.svg");}
.icon-FastDelivery-black{ background-image: url("../img/icon/black/FastDelivery.svg");}
.icon-edit-black{ background-image: url("../img/icon/pagamenti/Edit.svg");}
.icon-facebook-black{ background-image: url("../img/icon/pagamenti/FacebookBlack.svg");}
.icon-instagram-black{ background-image: url("../img/icon/pagamenti/InstagramBlack.svg");}
.icon-twitter-black{ background-image: url("../img/icon/black/Twitter.svg");}
.icon-symbol-black{ background-image: url("../img/icon/black/Symbol.svg");}
.icon-bag-black{ background-image: url("../img/icon/black/Bag.svg");}
.icon-profile-black{ background-image: url("../img/icon/black/Profile.svg");}
.icon-filter-black{ background-image: url("../img/icon/black/Filter.svg");}
.icon-right-chevron-empty-black{ background-image: url("../img/icon/black/Chevron.svg");}
.icon-calendar{ background-image: url("../img/icon/black/Calendar.svg");}
.icon-discover{ background-image: url("../img/icon/pagamenti/Discover.svg");}
.icon-maestro{ background-image: url("../img/icon/pagamenti/maestro.svg");}
.icon-masterCard{ background-image: url("../img/icon/pagamenti/masterCard.svg");}
.icon-paypal{ background-image: url("../img/icon/pagamenti/paypal.svg");}
.icon-visa{ background-image: url("../img/icon/pagamenti/visa.svg");}
.icon-gls{ background-image: url("../img/gls_icon.png");}
/* fine icone */



/* GOOGLE */
.pac-container {
    z-index: 1057 !important; /* Deve essere più alto del modal */
}




/* INIZIO - UNDERLINE */
.underline{
    text-decoration: underline;
}

.underline-10{
    text-decoration: underline;
    text-underline-offset: 10px;
}
/* FINE - UNDERLINE */



/* IMMAGINI - INIZIO */
/* IMMAGINI - FINE */



.swal2-popup{
    border-radius: unset;
}
.swal2-confirm{
    border-radius: unset;
    transition: all 0.3s ease-in-out;
}
.swal2-confirm:hover{
    background-color: var(--black);
    border-radius: 8px;
    color: var(--light-logo-color);
}